Make default merge messages denser.
authorLinus Torvalds <torvalds@ppc970.osdl.org>
Wed, 8 Jun 2005 17:09:41 +0000 (10:09 -0700)
committerLinus Torvalds <torvalds@ppc970.osdl.org>
Wed, 8 Jun 2005 17:09:41 +0000 (10:09 -0700)
In particular, make them readable on one line since that's what all the
tools like git-shortlog and gitk end up showing.

git-pull-script
git-resolve-script

index a4ca97c..dbef56c 100755 (executable)
@@ -6,9 +6,7 @@ merge_name=$(echo "$1" | sed 's:\.git/*$::')
 merge_head=HEAD
 if [ "$2" ]
 then
-   merge_name="'$2' branch from
-
-       $merge_name"
+   merge_name="'$2' branch of $merge_name"
    merge_head="refs/heads/$2"
 fi
 
index cd6e25a..da79a97 100644 (file)
@@ -43,7 +43,7 @@ if [ "$common" == "$head" ]; then
 fi
 echo "Trying to merge $merge into $head"
 git-read-tree -u -m $common $head $merge || exit 1
-merge_msg="Merge of $merge_repo"
+merge_msg="Merge $merge_repo"
 result_tree=$(git-write-tree  2> /dev/null)
 if [ $? -ne 0 ]; then
        echo "Simple merge failed, trying Automatic merge"
@@ -52,7 +52,6 @@ if [ $? -ne 0 ]; then
                echo "Automatic merge failed, fix up by hand"
                exit 1
        fi
-       merge_msg="Automatic merge of $merge_repo"
        result_tree=$(git-write-tree) || exit 1
 fi
 result_commit=$(echo "$merge_msg" | git-commit-tree $result_tree -p $head -p $merge)